package com.hfkj.service.discount;

import com.hfkj.entity.BsDiscountStockCode;

import java.util.List;
import java.util.Map;

/**
 * @className: BsDiscountCodeService
 * @author: HuRui
 * @date: 2024/3/18
 **/
public interface BsDiscountStockCodeService {

    /**
     * 批量插入
     * @param codeList
     */
    void insertList(List<BsDiscountStockCode> codeList);

    /**
     * 修改
     * @param data
     */
    void update(BsDiscountStockCode data);

    /**
     * 回收优惠券
     * @param stockCodeId
     */
    void recycle(Long stockCodeId);

    /**
     * 查询详情
     * @param id
     * @return
     */
    BsDiscountStockCode getDetail(Long id);

    /**
     * 分配库存code【需要配合锁使用】
     * @param discountNo
     * @return
     */
    List<BsDiscountStockCode> getAssignCodeList(String discountNo, Integer number);

    /**
     * 查询优惠券库存id
     * @param
     * @return
     */
    List<BsDiscountStockCode> getCodeListByPkStockId(Long discountPkStockId);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsDiscountStockCode> getCodeList(Map<String,Object> param);
}
